#
# spec file for package python-pytest-djangoapp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-djangoapp
Version:        1.2.0
Release:        1.3
Summary:        Pytest plugin for Django pluggable application testing
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/idlesign/pytest-djangoapp
Source:         https://files.pythonhosted.org/packages/source/p/pytest-djangoapp/pytest-djangoapp-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
Requires:       python-pytest
Recommends:     python-ipdb
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A pytest plugin to help with Django pluggable application testing.

%prep
%autosetup -p1 -n pytest-djangoapp-%{version}

# gh#idlesign/pytest-djangoapp#4
mv ./pytest_djangoapp/tests/conftest.py .

%build
%python_build

%install
%python_install
%{python_expand rm -r %{buildroot}%{$python_sitelib}/pytest_djangoapp/tests/
%fdupes %{buildroot}%{$python_sitelib}
}

%check
%pytest

%files %{python_files}
%doc AUTHORS CHANGELOG README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Jul 24 2023 Dirk Müller <dmueller@suse.com>
- update to 1.2.0:
  * Add 'liveserver' and 'liveclient' fixtures (closes #24).
  * Added 'command_makemigrations' fixture.
  * Added 'conf_app_name' fixture (see #17).
  * Fixture 'template_context' now accepts a username.
  * Dropped support for Django 1.7.
  * Dropped support for Py2. Py3.6+ specific syntax is
    introduced. Code update may be required.
  * Introduced new 'check_migrations' fixture.
- drop django_4.patch (upstream)
* Thu Mar 17 2022 Steve Kowalik <steven.kowalik@suse.com>
- Remove unneeded {Build,}Requires on python-mock.
* Mon Jan 10 2022 Matej Cepl <mcepl@suse.com>
- Update to 0.15.2:
  - Ignore temporary attributes from project settings module (see
    gh#idlesign/pytest-djangoapp#21).
- Add django_4.patch making the package compatible with Django
  4.* (gh#idlesign/pytest-djangoapp#23).
* Thu May 13 2021 Markéta Machová <mmachova@suse.com>
- Update to 0.15.1
  * Fixture 'request_client' now accepts 'json' argument to encode post data.
  * Made Django 3.2 compatible.
* Mon May  4 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.14.0
